Announcement Announcement Module
Collapse
No announcement yet.
Unable to work wit Roo GWT plugin Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Unable to work wit Roo GWT plugin

    Hi,

    Hi I am new to Roo(also Spring) and want use start my development with Roo & GWT for one of my project. But I am unable advance with the issues.

    I am using sts-2.8.1. I tried with spring-roo-1.2.0.M1 & 1.2.0.BUILD-SNAPSHOT [rev 7d4d85a]

    I am getting 2 types errors.

    1) I am having a Maven error as

    Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:exec-maven-plugin:1.2:exec

    I tried various fixes suggested but none resolved my problem.

    2)Several Java Errors almost all of them are related to javax.validation

    Can any one suggest me way forward.

    Thanks
    Srini

  • #2
    Hi, I have the same problem

    Sandi

    Comment


    • #3
      Java Errors related javax.validation

      I have solved the java errors by adding gwt nature to the project:
      projectProperties->Google->Web Toolkit->Use Google Web Toolkit

      You need the Google Plugin for Eclipse
      http://code.google.com/intl/de-DE/we...s.html#install

      Comment


      • #4
        Originally posted by mbudnick View Post
        I have solved the java errors by adding gwt nature to the project:
        projectProperties->Google->Web Toolkit->Use Google Web Toolkit

        You need the Google Plugin for Eclipse
        http://code.google.com/intl/de-DE/we...s.html#install
        Thanks

        This removed the java errors. Now whats the way forward.

        Comment


        • #5
          Still the Maven error exists How to resolve that.

          Comment


          • #6
            Hi, look at this FAQ, it may be helpful to you.

            http://forum.springsource.org/showth....0-and-m2e-FAQ

            Comment


            • #7
              I have the same problem, I am trying for days to make a simple project but I am not being able to

              Code:
              Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:exec-maven-plugin:1.2:exec (execution: default, phase: process-classes)	pom.xml	
              
              Maven Project Build Lifecycle Mapping Problem

              Using roo 1.2 latest build (tried many different)
              GWT 2.4 (tried 2.1)
              m2eclipse (tried both versions possible in latest STS)

              Comment


              • #8
                Originally posted by lucas1223 View Post
                I have the same problem, I am trying for days to make a simple project but I am not being able to

                Code:
                Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:exec-maven-plugin:1.2:exec (execution: default, phase: process-classes)	pom.xml	
                
                Maven Project Build Lifecycle Mapping Problem

                Using roo 1.2 latest build (tried many different)
                GWT 2.4 (tried 2.1)
                m2eclipse (tried both versions possible in latest STS)
                ok, now I was able to run expenses.roo example

                how? thought the command line, by executing mvn gwt:run

                man, I lost a lot of hours trying to make it work @ STS

                now I will try to make it work my own project, lets see if I can run thought the command line

                edited: was able to run my project too by doing this above

                edited2: but you actually cant import to the STS, it complains about that same error : org.codehaus.mojo:exec-maven-plugin:1.2:exec
                Last edited by lucas1223; Dec 17th, 2011, 01:38 PM.

                Comment


                • #9
                  I'm having a same problem I can run the gwt app using the mvn gwt:run just fine however I can not get it to work in STS has anyone found a solution to this problem?

                  Comment


                  • #10
                    Have you tried applying the fix from this thread http://forum.springsource.org/showth...ht=#post385963 ? It made things work for me. The Update Project Configuration that it talks about is right click on the project, go to Maven option in context menu, then it slides out with the Update Project Configuration command. Apparently the Request Factory Verifier isn't being setup right in the POM.

                    Comment


                    • #11
                      I have been struggling with similar issues and then some. I finally succeeded to make Maven, 2.4 and RF work all together. Here's the details. Hope it helps:

                      http://forum.springsource.org/showth...166#post416166

                      Thanks,
                      Arash

                      Comment

                      Working...
                      X